@echo off
chcp 65001 > nul
setlocal

:: 启动 Windows Installer 服务
net start "Windows Installer"

:: 检查 Windows Installer 服务是否启动成功
if %ERRORLEVEL% NEQ 0 (
    echo Windows Installer 服务启动失败，请检查服务状态。
    exit /b %ERRORLEVEL%
)

:: 执行 MSI 安装程序
msiexec /i cisco-secure-client-5.1.1.42.msi /qn


:: 检查 MSI 安装程序是否执行成功
if %ERRORLEVEL% NEQ 0 (
    echo 安装程序执行失败，请检查 MSI 文件路径和权限。
    exit /b %ERRORLEVEL%
)

:: 提醒用户安装完成
echo 安装程序已执行完成。请运行 cisco-secure-client-5.1.1.42.msi 进行安装。

endlocal